import 'package:decorated_flutter/decorated_flutter.dart';
import 'package:tim_fluttify/tim_fluttify.dart';

class AddFriendBLoC extends LocalBLoC with _ComponentMixin {
  AddFriendBLoC() : super('添加好友 BLoC');

  Future<void> performAddFriend() async {
    final _userId = userId.latest;
    return Tim.instance.addFriend(_userId);
  }
}

mixin _ComponentMixin on LocalBLoC {
  @override
  List<BaseIO> get disposeBag => [userId];

  final userId = Input<String>(semantics: '输入的用户id');
}
