import 'package:flutter/material.dart';
import 'package:tim_fluttify_example/src/model/view_model.dart';

class Sessions extends StatelessWidget {
  const Sessions(this.vmList, {Key key}) : super(key: key);

  final List<SessionVM> vmList;

  @override
  Widget build(BuildContext context) {
    return ListView.builder(
      itemCount: vmList.length,
      itemBuilder: (context, index) => _SessionItem(vmList[index]),
    );
  }
}

class _SessionItem extends StatelessWidget {
  const _SessionItem(this.vm, {Key key}) : super(key: key);

  final SessionVM vm;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Text(vm.showName),
    );
  }
}
