import 'package:decorated_flutter/decorated_flutter.dart';
import 'package:flutter/material.dart';
import 'package:tim_fluttify_example/src/bloc/bloc.export.dart';
import 'package:tim_fluttify_example/src/resource/R.dart';

class LoginScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text('login')),
      body: Center(
        child: RaisedButton(
          onPressed: () => _handleLogin(context),
          child: Text('登录'),
        ),
      ),
    );
  }

  void _handleLogin(BuildContext context) async {
    context
        .of<LoginBLoC>()
        .performLogin()
        .loading(context)
        .then(
            (value) => context.rootNavigator.pushReplacementNamed(Routes.home))
        .catchError(handle(context));
  }
}
