part of 'tim.dart';

class _AndroidTimSDKCallback extends com_tencent_imsdk_v2_V2TIMSDKListener {
  _AndroidTimSDKCallback();

  @override
  Future<void> onConnecting() async {}

  @override
  Future<void> onConnectSuccess() async {}

  @override
  Future<void> onConnectFailed(int code, String error) async {}

  @override
  Future<void> onKickedOffline() async {}

  @override
  Future<void> onUserSigExpired() async {}

  @override
  Future<void> onSelfInfoUpdated(
    com_tencent_imsdk_v2_V2TIMUserFullInfo info,
  ) async {}
}

class _IOSTimSDKCallback extends NSObject with V2TIMSDKListener {
  _IOSTimSDKCallback();

  @override
  Future<void> onConnecting() async {
    super.onConnecting();
  }

  @override
  Future<void> onConnectSuccess() async {
    super.onConnectSuccess();
  }

  @override
  Future<void> onConnectFailed_err(int code, String error) async {
    super.onConnectFailed_err(code, error);
  }

  @override
  Future<void> onKickedOffline() async {
    super.onKickedOffline();
  }

  @override
  Future<void> onUserSigExpired() async {
    super.onUserSigExpired();
  }

  @override
  Future<void> onSelfInfoUpdated(V2TIMUserFullInfo info) async {
    super.onSelfInfoUpdated(info);
  }
}

class _AndroidTimVoidCallback extends java_lang_Object
    with com_tencent_imsdk_v2_V2TIMCallback {
  _AndroidTimVoidCallback(this._completer);

  final Completer _completer;

  @override
  Future<void> onError(int var1, String var2) async {
    super.onError(var1, var2);
    _completer.completeError(var2);
  }

  @override
  Future<void> onSuccess() async {
    super.onSuccess();
    _completer.complete();
    print('_completer.complete();');
  }
}

class _AndroidTimValueCallback<T> extends java_lang_Object
    with com_tencent_imsdk_v2_V2TIMValueCallback<T> {
  _AndroidTimValueCallback(this._completer);

  final Completer<T> _completer;

  @override
  Future<void> onError(int var1, String var2) async {
    super.onError(var1, var2);
    _completer.completeError(var2);
  }

  @override
  Future<void> onSuccess(T value) async {
    super.onSuccess(value);
    _completer.complete(value);
  }
}
