import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:tim_fluttify/tim_fluttify.dart';

void main() {
  const MethodChannel channel = MethodChannel('tim_fluttify');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });
}
