part of 'R.dart';

// ignore_for_file: non_constant_identifier_names
class _StyleReference {
  const _StyleReference();

  final normal = const TextStyle(fontSize: 15);

  /// 公用
  TextStyle get default_text_style => normal;

  /// 公用
  TextStyle get normal_14 => normal.copyWith(fontSize: 14);

  /// 主颜色文字
  TextStyle get text_red_14 => normal.copyWith(color: Colors.red, fontSize: 14);

  /// 主颜色文字
  TextStyle get text_primary => normal.copyWith(color: R.color.primary);

  /// 主颜色文字
  TextStyle get text_primary_18 => normal.copyWith(color: R.color.primary);

  /// 主颜色文字
  TextStyle get text_primary_bold_18 => normal.copyWith(
        color: R.color.primary,
        fontSize: 18,
        fontWeight: FontWeight.bold,
      );

  /// 主颜色文字
  TextStyle get text_primary_bold_28 => normal.copyWith(
        color: R.color.primary,
        fontSize: 28,
        fontWeight: FontWeight.bold,
      );

  /// 灰色文字
  TextStyle get text_grey => normal.copyWith(color: Colors.grey);

  /// 灰色文字
  TextStyle get text_link => normal.copyWith(
        color: Colors.blue,
        decoration: TextDecoration.underline,
      );

  /// 灰色文字 14
  TextStyle get text_grey_14 =>
      normal.copyWith(color: Colors.grey, fontSize: 14);

  /// 灰色文字 28
  TextStyle get text_grey_24 =>
      normal.copyWith(color: Colors.grey, fontSize: 24);

  /// 灰色文字 28
  TextStyle get text_grey_28 =>
      normal.copyWith(color: Colors.grey, fontSize: 28);

  /// 灰色文字 13
  TextStyle get text_grey_13 =>
      normal.copyWith(color: Colors.grey, fontSize: 13);

  /// 灰色文字 13
  TextStyle get text_grey_12 =>
      normal.copyWith(color: Colors.grey, fontSize: 12);

  /// 灰色文字 13
  TextStyle get text_white_13 =>
      normal.copyWith(color: Colors.white, fontSize: 13);

  /// 白色文字
  TextStyle get text_white => normal.copyWith(color: Colors.white);

  /// 白色文字
  TextStyle get text_white54 => normal.copyWith(color: Colors.white54);

  /// 黑色文字
  TextStyle get text_black => normal.copyWith(color: Colors.black);

  /// 黑色文字
  TextStyle get text_darker_grey => normal.copyWith(color: Color(0xff696969));

  /// 黑色文字
  TextStyle get text_darker_gold => normal.copyWith(color: Color(0xff986e53));

  /// 黑色文字
  TextStyle get text_black_16 =>
      normal.copyWith(color: Colors.black, fontSize: 16);

  /// 黑色文字
  TextStyle get text_black_12 =>
      normal.copyWith(color: Colors.black, fontSize: 12);

  /// 黑色文字
  TextStyle get text_black_14 =>
      normal.copyWith(color: Colors.black, fontSize: 14);

  /// 黑色文字
  TextStyle get text_black_bold_14 => normal.copyWith(
      color: Colors.black, fontWeight: FontWeight.bold, fontSize: 14);

  /// 黑色文字
  TextStyle get text_black_bold =>
      normal.copyWith(color: Colors.black, fontWeight: FontWeight.bold);

  /// 黑色文字 20
  TextStyle get text_black_bold_20 => normal.copyWith(
      color: Colors.black, fontSize: 20, fontWeight: FontWeight.bold);

  /// 黑色文字 18
  TextStyle get text_black_bold_18 => normal.copyWith(
      color: Colors.black, fontSize: 18, fontWeight: FontWeight.bold);

  /// 黑色文字 16
  TextStyle get text_black_bold_16 => normal.copyWith(
      color: Colors.black, fontSize: 16, fontWeight: FontWeight.bold);

  /// 白色文字 14
  TextStyle get text_white_14 =>
      normal.copyWith(color: Colors.white, fontSize: 14);

  /// 白色文字 16
  TextStyle get text_white_16 =>
      normal.copyWith(color: Colors.white, fontSize: 16);

  /// 白色文字 18
  TextStyle get text_white_18 =>
      normal.copyWith(color: Colors.white, fontSize: 18);

  /// 白色文字 24
  TextStyle get text_white_28 =>
      normal.copyWith(color: Colors.white, fontSize: 28);

  /// 白色加粗文字
  TextStyle get text_white_bold =>
      normal.copyWith(color: Colors.white, fontWeight: FontWeight.bold);

  /// 白色加粗文字
  TextStyle get text_white_bold_18 => normal.copyWith(
      color: Colors.white, fontWeight: FontWeight.bold, fontSize: 18);

  /// 白色加粗文字
  TextStyle get text_white_bold_28 => normal.copyWith(
      color: Colors.white, fontWeight: FontWeight.bold, fontSize: 28);

  /// 白色加粗文字
  TextStyle get text_white_bold_36 => normal.copyWith(
      color: Colors.white, fontWeight: FontWeight.bold, fontSize: 36);

  /// 白色加粗文字
  TextStyle get text_white_bold_italic => normal.copyWith(
        color: Colors.white,
        fontWeight: FontWeight.bold,
        fontSize: 24,
        fontStyle: FontStyle.italic,
      );

  /// 加粗文字
  TextStyle get text_bold => normal.copyWith(fontWeight: FontWeight.bold);

  /// 加粗文字
  TextStyle get text_gold_14 => normal.copyWith(
        fontSize: 14,
        color: Color(0xffc7a374),
      );

  /// 加粗文字
  TextStyle get text_gold_bold_28 => normal.copyWith(
        fontWeight: FontWeight.bold,
        fontSize: 28,
        color: Color(0xffc7a374),
      );

  /// 光晕效果
  BoxDecoration get halo => BoxDecoration(
        color: Colors.white,
        boxShadow: [
          BoxShadow(
            blurRadius: 16,
            spreadRadius: 4,
            color: Colors.black.withOpacity(0.06),
          ),
        ],
      );

  /// 光晕效果
  BoxDecoration get halo_r_16 => BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.circular(16),
        boxShadow: [
          BoxShadow(
            blurRadius: 16,
            spreadRadius: -4,
            color: Colors.black12,
          ),
        ],
      );

  /// 光晕效果
  BoxDecoration get halo_r_4 => BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.circular(4),
        boxShadow: [
          BoxShadow(
            blurRadius: 12,
            spreadRadius: -4,
            color: Colors.black26,
          ),
        ],
      );

  /// 灰色矩形
  BoxDecoration get rect_grey_0 =>
      BoxDecoration(border: Border.all(color: Colors.grey, width: 0));

  /// 我的消息框
  BoxDecoration get text_message_from_me => BoxDecoration(
        color: Colors.black,
        borderRadius: BorderRadius.only(
          bottomLeft: Radius.circular(16),
          topLeft: Radius.circular(16),
          topRight: Radius.circular(16),
        ),
      );

  /// 好友消息框
  BoxDecoration get text_message_from_other => BoxDecoration(
        border: Border.all(color: Colors.grey),
        borderRadius: BorderRadius.only(
          bottomRight: Radius.circular(16),
          topLeft: Radius.circular(16),
          topRight: Radius.circular(16),
        ),
      );

  /// 我的消息框
  BoxDecoration get image_message => BoxDecoration(
        color: Colors.grey[300],
        borderRadius: BorderRadius.circular(4),
      );

  /// 浅色tab bar
  TabBarTheme get tab_bar_light => TabBarTheme(
        labelStyle: R.style.text_black_bold,
        unselectedLabelStyle: R.style.text_black,
      );
}
