import 'package:flutter/material.dart';
import 'package:tim_fluttify_example/src/model/view_model.dart';

class Friends extends StatelessWidget {
  const Friends(this.vmList, {Key key}) : super(key: key);

  final List<FriendVM> vmList;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('消息'),
        actions: <Widget>[
          IconButton(
            icon: Icon(Icons.add_circle_outline),
            onPressed: () => _handleAddFriend(context),
          ),
        ],
      ),
      body: ListView.builder(
        itemCount: vmList.length,
        itemBuilder: (context, index) => _FriendItem(vmList[index]),
      ),
    );
  }

  void _handleAddFriend(BuildContext context) {}
}

class _FriendItem extends StatelessWidget {
  const _FriendItem(this.vm, {Key key}) : super(key: key);

  final FriendVM vm;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Text(vm.userId),
    );
  }
}
